Bug 10570 - Show internal note from subscription in results on check expiration page
Summary: Show internal note from subscription in results on check expiration page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 20:48 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10570: Show nonpublic note on check expiration page (1.96 KB, patch)
2013-07-10 21:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10570: Show nonpublic note on check expiration page (2.06 KB, patch)
2013-08-08 14:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10570: Show nonpublic note on check expiration page (2.08 KB, patch)
2013-09-13 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-07-10 20:48:58 UTC
We are showing the OPAC note from the subscription, but we should also show the internal note in the result list on the check expiration page.
Comment 1 Katrin Fischer 2013-07-10 21:07:40 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-08-08 14:42:54 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-09-13 09:55:33 UTC
Created attachment 21077 [details] [review]
Bug 10570: Show nonpublic note on check expiration page

The check expiration page in serials only showed the OPAC note,
but it makes sense to also show the nonpublic note here.

This patch adds it.

To test:
- Add a subscription, make sure to enter different notes in
  nonpublic note and OPAC note to check for display later on.
- Go to the check expiration page and search for your subscription.
- Check both notes show up correctly.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2013-09-16 16:22:49 UTC
Pushed to master.  Thanks, Katrin!
Comment 5 Tomás Cohen Arazi 2013-11-07 17:55:39 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Katrina!